<mamecheat version="1">

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.ob@BE48</action>
      <action>temp1 =maincpu.ob@BE4C</action>
      <action>temp2 =maincpu.ob@BE51</action>
      <action>temp3 =maincpu.ob@BD07</action>
      <action>temp4 =maincpu.ob@E9F1</action>
      <action>temp5 =maincpu.ob@EA04</action>
      <action>temp6 =maincpu.ob@EA0A</action>
      <action>temp7 =maincpu.ob@EA14</action>
      <action>temp8 =maincpu.ob@EA1A</action>
    </script>
    <script state="run">
      <action>maincpu.ob@BE48=00</action> <!-- This ROM cheat was made by Abystus -->
      <action>maincpu.ob@BE4C=00</action>
      <action>maincpu.ob@BE51=00</action>
      <action>maincpu.ob@BD07=00</action>
      <action>maincpu.ob@E9F1=00</action>
      <action>maincpu.ob@EA04=00</action>
      <action>maincpu.ob@EA0A=00</action>
      <action>maincpu.ob@EA14=00</action>
      <action>maincpu.ob@EA1A=00</action>
    </script>
    <script state="off">
      <action>maincpu.ob@BE48=temp0 </action>
      <action>maincpu.ob@BE4C=temp1 </action>
      <action>maincpu.ob@BE51=temp2 </action>
      <action>maincpu.ob@BD07=temp3 </action>
      <action>maincpu.ob@E9F1=temp4 </action>
      <action>maincpu.ob@EA04=temp5 </action>
      <action>maincpu.ob@EA0A=temp6 </action>
      <action>maincpu.ob@EA14=temp7 </action>
      <action>maincpu.ob@EA1A=temp8 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@0562=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Only in 'fair' fights</comment>
    <script state="run">
      <action>maincpu.pb@093C=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@091C=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x01">Knife</item>
      <item value="0x02">Pipe</item>
      <item value="0x03">Gun</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@0918=01</action>
      <action condition="(param==01)">maincpu.pb@04E0=60</action>
      <action condition="(param==01)">maincpu.pb@04E1=84</action>
      <action condition="(param==02)">maincpu.pb@0918=02</action>
      <action condition="(param==02)">maincpu.pb@04E0=61</action>
      <action condition="(param==02)">maincpu.pb@04E1=02</action>
      <action condition="(param==03)">maincpu.pb@0918=03</action>
      <action condition="(param==03)">maincpu.pb@04E0=61</action>
      <action condition="(param==03)">maincpu.pb@04E1=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@0564=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Only in 'fair' fights</comment>
    <script state="run">
      <action>maincpu.pb@097C=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@095C=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x01">Knife</item>
      <item value="0x02">Pipe</item>
      <item value="0x03">Gun</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@0958=01</action>
      <action condition="(param==01)">maincpu.pb@04E2=60</action>
      <action condition="(param==01)">maincpu.pb@04E3=84</action>
      <action condition="(param==02)">maincpu.pb@0958=02</action>
      <action condition="(param==02)">maincpu.pb@04E2=61</action>
      <action condition="(param==02)">maincpu.pb@04E3=02</action>
      <action condition="(param==03)">maincpu.pb@0958=03</action>
      <action condition="(param==03)">maincpu.pb@04E2=61</action>
      <action condition="(param==03)">maincpu.pb@04E3=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pw@0566=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3"> <comment>Only in 'fair' fights</comment>
    <script state="run">
      <action>maincpu.pb@09BC=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL3">
    <script state="run">
      <action>maincpu.pb@099C=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL3">
    <parameter>
      <item value="0x01">Knife</item>
      <item value="0x02">Pipe</item>
      <item value="0x03">Gun</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@0998=01</action>
      <action condition="(param==01)">maincpu.pb@04E4=60</action>
      <action condition="(param==01)">maincpu.pb@04E5=84</action>
      <action condition="(param==02)">maincpu.pb@0998=02</action>
      <action condition="(param==02)">maincpu.pb@04E4=61</action>
      <action condition="(param==02)">maincpu.pb@04E5=02</action>
      <action condition="(param==03)">maincpu.pb@0998=03</action>
      <action condition="(param==03)">maincpu.pb@04E4=61</action>
      <action condition="(param==03)">maincpu.pb@04E5=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pw@0568=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4"> <comment>Only in 'fair' fights</comment>
    <script state="run">
      <action>maincpu.pb@09FC=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL4">
    <script state="run">
      <action>maincpu.pb@09DC=0F</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL4">
    <parameter>
      <item value="0x01">Knife</item>
      <item value="0x02">Pipe</item>
      <item value="0x03">Gun</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@09D8=01</action>
      <action condition="(param==01)">maincpu.pb@04E6=60</action>
      <action condition="(param==01)">maincpu.pb@04E7=84</action>
      <action condition="(param==02)">maincpu.pb@09D8=02</action>
      <action condition="(param==02)">maincpu.pb@04E6=61</action>
      <action condition="(param==02)">maincpu.pb@04E7=02</action>
      <action condition="(param==03)">maincpu.pb@09D8=03</action>
      <action condition="(param==03)">maincpu.pb@04E6=61</action>
      <action condition="(param==03)">maincpu.pb@04E7=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Shot2]Next Code</comment>
    <script state="run">
      <action>maincpu.pb@1645=FF</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="146" step="1"/>
    <script state="change">
      <action>maincpu.pb@0480=param</action>
      <action>maincpu.pw@0416=0481</action>
      <action>maincpu.pw@0418=0480</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
